# $Source: /cvsroot/civ4ccp/civ4ccp/Assets/Python/EntryPoints/Attic/CvEventInterface.py,v $: $Name: dev $
#	SimCutie's Event Manager Intarface
#	$CopyRight$
#	by SimCutie < simcutie (AT) hanmail.net >
#	Based on Civ4 Update 1.61
#	Put this file in "CustomAssets/python/entrypoints/" to use CvSimCutieEventManager
#	This file should reside in  "... /CustomAssets/python/entrypoints" folder.
#	Version: $Revision: 1.4.2.4 $ $Date: 2006/06/14 08:30:20 $
#-------------------------------------------------------------------------
__author__ = "$Author: simcutie $"
__revision__ = "$Id: CvEventInterface.py,v 1.4.2.4 2006/06/14 08:30:20 simcutie Exp $"
__version__ = "$Revision: 1.4.2.4 $"
__date__ = "$Date: 2006/06/14 08:30:20 $"

# Sid Meier's Civilization 4
# Copyright Firaxis Games 2005
#
# CvEventInterface.py
#
# These functions are App Entry Points from C++
# WARNING: These function names should not be changed
# WARNING: These functions can not be placed into a class
#
# No other modules should import this
#
import CvUtil
#--------- CHANGED BY SIMCUTIE -------------------------------------------
#import CvEventManager
#from CvPythonExtensions import *
#
#normalEventManager = CvEventManager.CvEventManager()
#--------------------------------------------
import CvSimCutieEventManager
from CvPythonExtensions import *

normalEventManager = CvSimCutieEventManager.CvSimCutieEventManager()
#--------- END BY SIMCUTIE -----------------------------------------------

def getEventManager():
	return normalEventManager

def onEvent(argsList):
	'Called when a game event happens - return 1 if the event was consumed'
	return getEventManager().handleEvent(argsList)

def applyEvent(argsList):
	context, playerID, netUserData, popupReturn = argsList
	return getEventManager().applyEvent(argsList)

def beginEvent(context, argsList=-1):
	return getEventManager().beginEvent(context, argsList)
