# $Source: /cvsroot/civ4ccp/civ4ccp/Assets/Python/CUSTOM/Attic/CvCustomEvent.py,v $: $Name: dev $
#	List of custom events for SimCutie's Event Manager.
#	Define new Custom Event type here.
#	$CopyRight$
#	by SimCutie < simcutie (AT) hanmail.net >
#	Don't rename this file other than "CvCustomEvent.py"
#	This file should reside in  "... /CustomAssets/python/custom" folder.
#	Version: $Revision: 1.1.4.6 $ $Date: 2006/07/21 03:44:10 $
#
__author__ = "$Author: simcutie $"
__revision__ = "$Id: CvCustomEvent.py,v 1.1.4.6 2006/07/21 03:44:10 simcutie Exp $"
__version__ = "$Revision: 1.1.4.6 $"
__date__ = "$Date: 2006/07/21 03:44:10 $"

# define custom event types to add. 

#############	Good time to init mods
#	Civ4 Init Done. After XML loada but before Main Menu. (Available Only with SDK DLL)
EVENT_INITEND	=		"InitEnd"
#	combinded virtual event of 'GameStart' and 'OnLoad'.
EVENT_GAMEBEGIN =		"gameBegin"
#	MainIntarfaceScreen started/Reloaded.
EVENT_MAINHUDDRAW =	"mainHUDDraw"

#############	Events from "CvCustomOption.py"

#"optionBegin" event is trigged on opening and drawing user option screen.
#	User Option screen is opened. Draw option control
EVENT_OPTIONBEGIN =		"optionBegin"
#"optionEnd" event is triggered on exiting user option screen.
#	 User Option screen is closed. Get option value again
EVENT_OPTIONEND =		"optionEnd"

#############	Events for Action Button
#"buttonShow", "buttonAction" event is used to implement Action Button facility
#	Unit/City selected. add action buttons to show.
EVENT_BUTTONSHOW =		"buttonShow"
#	Unit button pressed. do action.
EVENT_BUTTONACTION =	"buttonAction"

#############	Events from SDK "CvExtention.cpp" ( Available Only with SDK DLL)
# Unit Reborn/converted by gift or upgrade command
EVENT_UNITREBORN =		"unitReborn"
# Combat started
EVENT_COMBATBEGIN =		"combatBegin"
# One round of combat damage
EVENT_COMBATHIT =		"combatHit"

# part of table are duplicated in CvExt_preinit() in DLL SDK "CvExtension.cpp" file.

CUSTOM_EVENTDICT =  {
	# SYMBOLIC NAME         REAL NAME
	"EVENT_INITEND" :		EVENT_INITEND,
	"EVENT_GAMEBEGIN" :		EVENT_GAMEBEGIN,
	"EVENT_OPTIONBEGIN" :	EVENT_OPTIONBEGIN, 
	"EVENT_OPTIONEND" :		EVENT_OPTIONEND,
	"EVENT_BUTTONSHOW" :	EVENT_BUTTONSHOW,
	"EVENT_BUTTONACTION" :	EVENT_BUTTONACTION,
	"EVENT_UNITREBORN" :	EVENT_UNITREBORN,
	"EVENT_COMBATBEGIN" :	EVENT_COMBATBEGIN,
	"EVENT_COMBATHIT" :		EVENT_COMBATHIT,
	"EVENT_MAINHUDDRAW" :	EVENT_MAINHUDDRAW,
	# Don't touch events above this line
	# Add new event type here...
	}
